System.Design 1.0.5000.0 2.0.0.0 System.Web.UI.Design.TemplatedControlDesigner System.Web.UI.Design.IDataSourceProvider

In a designer host, when the user switches from Source to Design view, the markup source code that describes a control derived from the abstract class is parsed and a design-time version of the control is created on the design surface. When the user switches back to Source view, the design-time control is persisted to markup source code and edited into the markup for the Web page. The abstract class serves as a base class for components that provide design-time support for controls that are derived from the in a designer host.

The class properties provide the following functionality:

The property returns a object, which typically contains an object that is derived from the class for each level in the inheritance tree of the designer.

The , , , and properties provide access to the corresponding properties of the associated control.

The property provides access to the designer of the data source of the associated control. The property gets the default view of the data source.

The class methods provide the following functionality:

The method prepares the designer to view, edit, and design the associated control. The method invokes a component editor for the control. The method is used to add, remove, or shadow design-time properties of the associated control.

The method generates an object that can be used as a data source at design time. The method gets the data source from the container of the associated control. The method gets the data source from the control container, resolved to a specific data member. The method gets the data source of the template container.

The method is called when there is a change to the associated control. The method is called when the associated control data source has changed. The method is called when the schema of the associated control data source changes. The method is called when an automatic formatting scheme has been applied.

The and methods can be overridden to implement functionality that should occur when an associated control style has changed or when the designer template-editing verbs have changed, respectively. The method handles the property-builder event.

Provides a base class for components that provide design-time support in a designer host for Web server controls that are derived from the class.

- Constructor

  The .NET Framework internally constructs a new instance of the class when it creates the associated control that is derived from the class or a copy of that control on the design surface.

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Property
  System.String To be added.

  The property provides access from the designer to the property of the associated control that is derived from the class. The indicates the primary key of the data source that is bound to the associated control.

  Gets or sets the value of the data key field of the associated control.

  1.0.5000.0
  2.0.0.0
- Property
  System.String To be added.

  The property provides access from the designer to the property of the associated control that is derived from the class. The indicates the table or element of the data source that is bound to the associated control.

  Gets or sets the value of the data member field of the associated control.

  1.0.5000.0
  2.0.0.0
- Property
  System.String To be added.

  The property provides access from the designer to the property of the associated control that is derived from the class.

  Gets or sets the value of the data source property of the associated control.

  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  If the associated control that is derived from the class has a property that implements the interface, the method disconnects the event of the object.

  If the implements the method, the disconnects the , , and events. The also disconnects the and events of the object. It finally calls the base method.

  Releases the unmanaged resources that are used by the designer and optionally releases the managed resources.

  true to release both managed and unmanaged resources; false to release only unmanaged resources. 1.0.5000.0 2.0.0.0
- Method
  System.Collections.IEnumerable `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Collections.IEnumerable `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Collections.IEnumerable

  The method uses the method to construct a data source from the object that is specified by the and properties of the associated control derived from the class.

  Gets the data source component from the associated control container, resolved to a specific data member.

  An object implementing an interface containing the design-time of the associated control, resolved to the parameter; otherwise, null if a data source is not found.

  1.0.5000.0
  2.0.0.0
- Method
  System.Object

  The method uses the method to construct a data source from the object that is specified by the property of the associated control derived from the class.

  Gets the data source component from the associated control container.

  An object implementing an interface containing the design-time property of the associated control; otherwise, null if a data source is not found.

  1.0.5000.0
  2.0.0.0
- Method
  System.Collections.IEnumerable `` To be added.

  The method calls the method to construct a data source from the object that is specified by the and properties of the associated control derived from class.

  Gets the data source of the template's container.

  An object that implements an interface containing a design-time property.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  The designer host calls the method when it is ready to use the designer to render the control that is derived from the class. The method and its base methods configure properties and connect to events that are necessary for the operation of the designer.

  The connects to the design-time data source and updates the design-time markup. If the property implements the interface, the connects the , , and events.

  The parameter is the control, derived from the , that is associated with this designer, or a copy of that control.

  Prepares the designer to view, edit, and design the associated control.

  A control derived from the , which implements an . 1.0.5000.0 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Void `` To be added.

  The method creates a or object, and then invokes the method of the component editor.

  Invokes a component editor for the associated control.

- Method
  System.Void `` ``

  The method is obsolete and has no functionality.

  Handles the AutoFormat event.

  The that raised the event. An object that contains the event data. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  The method is called when the event of a control that is derived from the class executes. Typically, this is in response to a property change on the control (for example, a Properties grid change). If the object to which the control is bound is changed, the control is redrawn on the design surface.

  Called when there is a change to the associated control.

  The that is the source of the event. A that contains the event data. 1.0.5000.0 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Void

  The base method connects the associated control that is derived from the class to the current data source, and if that is different from the data source to which the control was connected, the method updates the design-time markup.

  Called when the data source for the associated control has changed.

- Method
  System.Void `` ``

  The method invokes a component editor for the associated control that is derived from the class. It creates a or object, and then invokes the method of the component editor.

  Represents the method that handles the property-builder event.

  An that is the source of the event. An object that contains the event data. 1.0.5000.0 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Void

  The method can serve as notification that a style of the associated control that is derived from the class has changed.

  Can be overridden to implement functionality that should occur when a style of the associated control has changed.

- Method
  System.Void

  The method can be implemented to perform additional processing, such recording that a change has occurred, when the template-editing verbs change.

  Can be overridden to implement functionality that should occur when the designer template-editing verbs have changed.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  Control designers use methods that are derived from the method to shadow various control properties with corresponding design-time properties that the designer implements, and to add properties to or remove properties from the Properties grid.

  For controls that are derived from the class, the creates design-time properties to shadow the , , , and properties.

  Used by the designer to remove properties from or add additional properties to the display in the Properties grid or to shadow properties of the associated control.

  A collection implementing an interface of the added and shadowed properties. 1.0.5000.0 2.0.0.0
- Property
  System.ComponentModel.Design.DesignerVerbCollection To be added. To be added. To be added. 1.0.5000.0 2.0.0.0